Bug 431436 - virt-clone is broken due to input validation mistake
virt-clone is broken due to input validation mistake
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-virtinst (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-04 10:13 EST by Daniel Berrange
Modified: 2009-12-14 16:18 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2008-0371
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:45:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2008-02-04 10:13:41 EST
Description of problem:
The input validation code for disks is mistakenly causing virt-clone command to
reject all disk images. This basically makes the virt-clone tool useless. Since
virt-clone is a new tool we're adding in 5.2, it really ought to work


Version-Release number of selected component (if applicable):
python-virtinst-0.300.2-1.el5

How reproducible:
Always

Steps to Reproduce:
1.
# virt-clone -o rhel5pv -n rhel5pv-cloned -f /var/lib/xen/images/rhel5pv-cloned.img
ERROR:  Disk size must be an int or a float.
What would you like to use as the disk (path)? 
2.
3.
  
Actual results:
Disk image is rejected

Expected results:
Guest is cloned

Additional info:
Patch already upstream

http://hg.et.redhat.com/virt/applications/virtinst--devel?cs=611782118e76
Comment 2 Cole Robinson 2008-02-06 10:36:19 EST
This fix is committed and built:

$ brew latest-pkg dist-5E-qu-candidate python-virtinst
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
python-virtinst-0.300.2-2.el5             dist-5E-qu-candidate  crobinso
Comment 5 errata-xmlrpc 2008-05-21 12:45:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0371.html

Note You need to log in before you can comment on or make changes to this bug.